
QGIS Application - Bug report #16998

Misbehavior of Adv. Digitizing + Snapping tools

2017-08-10 02:45 PM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24897

Description

When using fixed distance in Advanced Digitizing tool and use a snapping vertice as reference point, it looses the fixed distance value and

generate the full length geometry to the snapping point.

http://i.imgur.com/MH37qex.jpg

http://i.imgur.com/6nwUJG7.jpg

http://i.imgur.com/XhMDDRY.jpg

Tested on 2.14.17 and 2.18.11

History

#1 - 2017-08-10 04:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

what about 2.18.11 and master?

#2 - 2017-08-10 05:00 PM - Andre Jesus

Giovanni Manghi wrote:

what about 2.18.11 and master?

I tested using 2.14.17 and 2.18.11 on Windows 7 and 10 both 64 bits

#3 - 2017-08-11 09:27 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.14.17 to 2.18.11

#4 - 2018-02-14 07:45 PM - Denis Rouzaud

master is not concerned.
#5 - 2018-02-14 08:02 PM - Denis Rouzaud

duplicate of #15887

#6 - 2019-01-24 06:19 PM - salvatore fiandaca

- Priority changed from Normal to High

I confirm the problem in 2.18.28

#7 - 2019-01-24 06:35 PM - Giovanni Manghi

- Priority changed from High to Normal

salvatore fiandaca wrote:

I confirm the problem in 2.18.28

it does not matter anymore, qgis 2 is dead, so 3.4/master must be tested instead.

#8 - 2019-01-25 09:03 AM - salvatore fiandaca

I just tried on QGIS 3.4.4 with new profile, I can not reproduce the problem, everything works fine.

Therefore I close issues

win10 64b OSGeo4W

#9 - 2019-01-25 02:07 PM - Giovanni Manghi

- Status changed from Open to Feedback

salvatore fiandaca wrote:

I just tried on QGIS 3.4.4 with new profile, I can not reproduce the problem, everything works fine.

Therefore I close issues

win10 64b OSGeo4W

please comment in English, thanks. Before closing let's put the ticket in feedback mode, and await for the issuer response.

#10 - 2019-02-23 11:06 AM - matteo ghetta

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
